<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
header("Content-Type:text/html; charset=utf-8");
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 
$annio=$_GET['annio'];


// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query = "Select 
codigo,
nombre,
siglas,
dependencia,
condicion,
estado,
municipio,
parroquia,
telefono,
fax,
email,
gaceta,
comentario
From
institucion
";
// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 

// Numero de Filas.
$totalRows = mysql_num_rows($result);

// Se genera la linea de encabezado del archivo.
$linea='200;0000000446;Coordinación de Control de Estudios'.';';

// Apertura del archivo texto
$nombre_archivo = '0000000446_200_'.$annio.'.txt';
$carpeta_destino = dirname(__FILE__);
$archivo = $carpeta_destino ."/".$nombre_archivo;
$archivo = fopen ($archivo, "w+");
$contenido='';
// Inserción del encabezado del archivo. chr(13).chr(10), forman el salto de linea.
fwrite($archivo, $linea.chr(13).chr(10));
$contenido=$contenido.$linea.chr(13).chr(10);
while ($row = mysql_fetch_row($result)) {    
	// Inserción del participante en el archivo
    $linea=$row[0].';'.$row[1].';'.$row[2].';'.$row[3].';'.$row[4].';'.$row[5].';'.$row[6].';'.$row[7].';'.$fecha_nac.';'.$fecha_ingreso.';'.$fecha_inscrito.';'.$row[11].';'.$row[12].';';
     $contenido=$contenido.$linea.chr(13).chr(10);
	fwrite($archivo, $linea.chr(13).chr(10));
}
// Cierre del archivo 
fclose($archivo);

header( "Content-Type: application/octet-stream");
header( "Content-Disposition: attachment; filename=".$nombre_archivo.""); 
print($contenido);

//echo "<a href=\"".$archivo."\">Descargar</a>";
//echo "<a href=../../".$archivo." target="contenido">Listado Moodle</a>";
					   
?>